Bug 1098526 (CVE-2014-2978) - CVE-2014-2978 DirectFB: remote out-of-bounds write vulnerability
Summary: CVE-2014-2978 DirectFB: remote out-of-bounds write vulnerability
Status: CLOSED UPSTREAM
Alias: CVE-2014-2978
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140516,repo...
Keywords: Security
Depends On: 1098542 1098543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 12:55 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:33:02 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-05-16 12:55:13 UTC
It was reproted [1] that DirectFB is prone to an out-of-bound write vulnerability since version 1.4.4.

The vulnerability can be triggered remotely without authentication through Voodoo interface (network layer of DirectFB).

An attacker can choose to overflow in the heap or the stack.

Upstream patch is available on [2].

References:
   [1]: http://seclists.org/oss-sec/2014/q2/323
   [2]: http://mail.directfb.org/pipermail/directfb-dev/2014-March/006805.html

Comment 1 Vasyl Kaigorodov 2014-05-16 14:09:43 UTC
Created directfb tracking bugs for this issue:

Affects: fedora-all [bug 1098542]
Affects: epel-all [bug 1098543]

Comment 2 Jared Smith 2015-06-27 06:18:39 UTC
I have built a patch for this issue, roughly based on the patch that OpenSuSE submitted upstream at http://mail.directfb.org/pipermail/directfb-dev/2015-March/006879.html, but has so far been ignored by upstream.

I'll submit this update to updates-testing shortly.

Comment 3 Fedora Update System 2015-07-14 16:46:06 UTC
directfb-1.4.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:33:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.